# Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

Class Summary
GridCompoundReadRepairFuture: Compound future that represents the result of the external fixes for some keys.
GridNearReadRepairAbstractFuture
GridNearReadRepairAbstractFuture.ByteArrayWrapper
GridNearReadRepairCheckOnlyFuture: Checks data consistency.
GridNearReadRepairFuture: Checks data consistency.

Exception Summary
GridNearReadRepairAbstractFuture.IgniteConsistencyCheckFailedException
GridNearReadRepairAbstractFuture.IgniteConsistencyRepairFailedException
IgniteAtomicConsistencyViolationException: Atomic consistency violation exception.
IgniteConsistencyViolationException: Consistency violation exception.
IgniteIrreparableConsistencyViolationException: Irreparable consistency violation exception.
IgniteTransactionalConsistencyViolationException: Consistency violation exception.